## Index

### Enumerations

- ObjectEncoding
- SharedObjectFlushStatus
- URLLoaderDataFormat
- URLRequestMethod

### Classes

- FileFilter
- FileReference
- FileReferenceList
- NetConnection
- NetStream
- SharedObject
- Socket
- URLLoader
- URLRequest
- URLRequestDefaults
- URLRequestHeader
- URLStream
- URLVariables
- XMLSocket

### Functions

- navigateToURL
- sendToURL

## Functions

### navigateToURL

- navigateToURL(request: URLRequest, window?: string): void

- - Defined in lib/openfl/net/navigateToURL.d.ts:6

  #### Parameters

  - ##### request: URLRequest

  - ##### Optional window: string

  #### Returns void

### sendToURL

- sendToURL(request: URLRequest): void

- - Defined in lib/openfl/net/sendToURL.d.ts:6

  #### Parameters

  - ##### request: URLRequest

  #### Returns void

Generated using TypeDoc